Package com.independentsoft.office.drawing

# Class GroupShapeLocking

java.lang.Object
com.independentsoft.office.drawing.GroupShapeLocking

public class GroupShapeLocking extends Object
The Class GroupShapeLocking.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupShapeLocking()`
  Instantiates a new group shape locking.
  `GroupShapeLocking​(InternalXMLStreamReader reader)`
  Instantiates a new group shape locking.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GroupShapeLocking`
  `clone()`
  `ExtensionList`
  `getExtensionList()`
  Gets the DrawingML extension list (`a:extLst`).
  `boolean`
  `isDisallowArrowheadChanges()`
  Checks if is disallow arrowhead changes.
  `boolean`
  `isDisallowAspectRatioChange()`
  Checks if is disallow aspect ratio change.
  `boolean`
  `isDisallowCropChanges()`
  Checks if is disallow crop changes.
  `boolean`
  `isDisallowGrouping()`
  Checks if is disallow grouping.
  `boolean`
  `isDisallowMove()`
  Checks if is disallow move.
  `boolean`
  `isDisallowResize()`
  Checks if is disallow resize.
  `boolean`
  `isDisallowRotation()`
  Checks if is disallow rotation.
  `boolean`
  `isDisallowSelection()`
  Checks if is disallow selection.
  `boolean`
  `isDisallowShapePointEditing()`
  Checks if is disallow shape point editing.
  `boolean`
  `isDisallowShapeTypeChange()`
  Checks if is disallow shape type change.
  `boolean`
  `isDisallowShowingAdjustHandles()`
  Checks if is disallow showing adjust handles.
  `void`
  `setDisallowArrowheadChanges​(boolean disallowArrowheadChanges)`
  Sets the disallow arrowhead changes.
  `void`
  `setDisallowAspectRatioChange​(boolean disallowAspectRatioChange)`
  Sets the disallow aspect ratio change.
  `void`
  `setDisallowCropChanges​(boolean disallowCropChanges)`
  Sets the disallow crop changes.
  `void`
  `setDisallowGrouping​(boolean disallowGrouping)`
  Sets the disallow grouping.
  `void`
  `setDisallowMove​(boolean disallowMove)`
  Sets the disallow move.
  `void`
  `setDisallowResize​(boolean disallowResize)`
  Sets the disallow resize.
  `void`
  `setDisallowRotation​(boolean disallowRotation)`
  Sets the disallow rotation.
  `void`
  `setDisallowSelection​(boolean disallowSelection)`
  Sets the disallow selection.
  `void`
  `setDisallowShapePointEditing​(boolean disallowShapePointEditing)`
  Sets the disallow shape point editing.
  `void`
  `setDisallowShapeTypeChange​(boolean disallowShapeTypeChange)`
  Sets the disallow shape type change.
  `void`
  `setDisallowShowingAdjustHandles​(boolean disallowShowingAdjustHandles)`
  Sets the disallow showing adjust handles.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the DrawingML extension list (`a:extLst`).
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GroupShapeLocking

    public GroupShapeLocking()
    Instantiates a new group shape locking.

  - ### GroupShapeLocking

    public GroupShapeLocking​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new group shape locking.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public GroupShapeLocking clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isDisallowShowingAdjustHandles

    public boolean isDisallowShowingAdjustHandles()
    Checks if is disallow showing adjust handles.
    Returns:
      true, if is disallow showing adjust handles

  - ### setDisallowShowingAdjustHandles

    public void setDisallowShowingAdjustHandles​(boolean disallowShowingAdjustHandles)
    Sets the disallow showing adjust handles.
    Parameters:
      `disallowShowingAdjustHandles` - the new disallow showing adjust handles

  - ### isDisallowArrowheadChanges

    public boolean isDisallowArrowheadChanges()
    Checks if is disallow arrowhead changes.
    Returns:
      true, if is disallow arrowhead changes

  - ### setDisallowArrowheadChanges

    public void setDisallowArrowheadChanges​(boolean disallowArrowheadChanges)
    Sets the disallow arrowhead changes.
    Parameters:
      `disallowArrowheadChanges` - the new disallow arrowhead changes

  - ### isDisallowAspectRatioChange

    public boolean isDisallowAspectRatioChange()
    Checks if is disallow aspect ratio change.
    Returns:
      true, if is disallow aspect ratio change

  - ### setDisallowAspectRatioChange

    public void setDisallowAspectRatioChange​(boolean disallowAspectRatioChange)
    Sets the disallow aspect ratio change.
    Parameters:
      `disallowAspectRatioChange` - the new disallow aspect ratio change

  - ### isDisallowShapeTypeChange

    public boolean isDisallowShapeTypeChange()
    Checks if is disallow shape type change.
    Returns:
      true, if is disallow shape type change

  - ### setDisallowShapeTypeChange

    public void setDisallowShapeTypeChange​(boolean disallowShapeTypeChange)
    Sets the disallow shape type change.
    Parameters:
      `disallowShapeTypeChange` - the new disallow shape type change

  - ### isDisallowCropChanges

    public boolean isDisallowCropChanges()
    Checks if is disallow crop changes.
    Returns:
      true, if is disallow crop changes

  - ### setDisallowCropChanges

    public void setDisallowCropChanges​(boolean disallowCropChanges)
    Sets the disallow crop changes.
    Parameters:
      `disallowCropChanges` - the new disallow crop changes

  - ### isDisallowShapePointEditing

    public boolean isDisallowShapePointEditing()
    Checks if is disallow shape point editing.
    Returns:
      true, if is disallow shape point editing

  - ### setDisallowShapePointEditing

    public void setDisallowShapePointEditing​(boolean disallowShapePointEditing)
    Sets the disallow shape point editing.
    Parameters:
      `disallowShapePointEditing` - the new disallow shape point editing

  - ### isDisallowGrouping

    public boolean isDisallowGrouping()
    Checks if is disallow grouping.
    Returns:
      true, if is disallow grouping

  - ### setDisallowGrouping

    public void setDisallowGrouping​(boolean disallowGrouping)
    Sets the disallow grouping.
    Parameters:
      `disallowGrouping` - the new disallow grouping

  - ### isDisallowMove

    public boolean isDisallowMove()
    Checks if is disallow move.
    Returns:
      true, if is disallow move

  - ### setDisallowMove

    public void setDisallowMove​(boolean disallowMove)
    Sets the disallow move.
    Parameters:
      `disallowMove` - the new disallow move

  - ### isDisallowResize

    public boolean isDisallowResize()
    Checks if is disallow resize.
    Returns:
      true, if is disallow resize

  - ### setDisallowResize

    public void setDisallowResize​(boolean disallowResize)
    Sets the disallow resize.
    Parameters:
      `disallowResize` - the new disallow resize

  - ### isDisallowRotation

    public boolean isDisallowRotation()
    Checks if is disallow rotation.
    Returns:
      true, if is disallow rotation

  - ### setDisallowRotation

    public void setDisallowRotation​(boolean disallowRotation)
    Sets the disallow rotation.
    Parameters:
      `disallowRotation` - the new disallow rotation

  - ### isDisallowSelection

    public boolean isDisallowSelection()
    Checks if is disallow selection.
    Returns:
      true, if is disallow selection

  - ### setDisallowSelection

    public void setDisallowSelection​(boolean disallowSelection)
    Sets the disallow selection.
    Parameters:
      `disallowSelection` - the new disallow selection

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the DrawingML extension list (`a:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the DrawingML extension list (`a:extLst`).
    Parameters:
      `extensionList` - the new extension list